import 'dart:convert';

import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:qr_flutter/qr_flutter.dart';
import '../utils/net_util.dart';

class ApplicationInstall extends StatefulWidget {
  @override
  State<StatefulWidget> createState() {
    return _State();
  }
}

class _State extends State<ApplicationInstall> {
  String url;
  bool loadFailed = false;

  @override
  void initState() {
    super.initState();
    NetUtils.get('/api/app').then((data) {
      if (mounted) {
        debugPrint('$data');
        Map map = json.decode(data);
        if (map['code'] == '1') {
          setState(() {
            url = map['data'] as String;
            loadFailed = false;
          });
        } else {
          setState(() {
            loadFailed = true;
          });
          Scaffold.of(context).showSnackBar(SnackBar(
            content: Text(map['msg']),
          ));
        }
      }
    });
  }

  @override
  Widget build(BuildContext context) {
    return Column(
      children: <Widget>[
        Text('扫码安装Demo APK'),
        Card(
          margin: EdgeInsets.all(10),
          child: url != null
              ? QrImage(
                  data: url,
                  version: QrVersions.auto,
                  size: 280.0,
                )
              : Container(
                  height: 280,
                  width: 280,
                  child: Center(
                    child: loadFailed
                        ? Text('app地址加载失败')
                        : CircularProgressIndicator(),
                  ),
                ),
        )
        // TODO ipa
      ],
    );
  }
}
